spark-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Olivier Girardot <ssab...@gmail.com>
Subject Re: Opening Spark on IntelliJ IDEA
Date Sat, 29 Nov 2014 09:48:22 GMT
Hi,
are you using spark for a java or scala project and can you post your pom
file please ?

Regards,

Olivier.

2014-11-27 7:07 GMT+01:00 Taeyun Kim <taeyun.kim@innowireless.com>:

> Hi,
>
>
>
> An information about the error.
>
> On File | Project Structure window, the following error message is
> displayed with pink background:
>
>
>
> Library ‘Maven: org.scala-lang:scala-compiler-bundle:2.10.4’ is not used
>
>
>
> Can it be a hint?
>
>
>
> *From:* Taeyun Kim [mailto:taeyun.kim@innowireless.com]
> *Sent:* Thursday, November 27, 2014 3:00 PM
> *To:* 'user'
> *Subject:* Opening Spark on IntelliJ IDEA
>
>
>
> Hi,
>
>
>
> I’m trying to open the Spark source code with IntelliJ IDEA.
>
> I opened pom.xml on the Spark source code root directory.
>
> Project tree is displayed in the Project tool window.
>
> But, when I open a source file, say
> org.apache.spark.deploy.yarn.ClientBase.scala, a lot of red marks shows on
> the editor scroll bar.
>
> It is the ‘Cannot resolve symbol’ error. Even it cannot resolve
> StringOps.format.
>
> How can it be fixed?
>
>
>
> The versions I’m using are as follows:
>
> - OS: Windows 7
>
> - IntelliJ IDEA: 13.1.6
>
> - Scala plugin: 0.41.2
>
> - Spark source code: 1.1.1 (with a few file modified by me)
>
>
>
> I’ve tried to fix this and error state changed somewhat, but eventually I
> gave up fixing it on my own (with googling) and deleted .idea folder and
> started over. So now I’m seeing the errors described above.
>
>
>
> Thank you.
>
>
>

Mime
View raw message